# Detect the word-size for the current platform ...
MESSAGE(STATUS "checking the width of std::vector<>::size_type for this platform")

TRY_RUN(
    HTTRAQT_PLATFORM_SIZE_TYPE
    HTTRAQT_PLATFORM_SIZE_TYPE_COMPILE
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/configuration/size_type.cpp)

MESSAGE(STATUS "  std::vector<>::size_type is ${HTTRAQT_PLATFORM_SIZE_TYPE} bits")

IF(HTTRAQT_PLATFORM_SIZE_TYPE EQUAL 32)
    SET(HTTRAQT_UINT_T_32_BITS 1)
ELSEIF(HTTRAQT_PLATFORM_SIZE_TYPE EQUAL 64)
    SET(HTTRAQT_UINT_T_64_BITS 1)
ELSE(HTTRAQT_PLATFORM_SIZE_TYPE EQUAL 32)
    MESSAGE(SEND_ERROR "Error detecting platform word-size.")
ENDIF(HTTRAQT_PLATFORM_SIZE_TYPE EQUAL 32)

